declare class Randomizer {
    create(): any;
}
declare class Integer extends Randomizer {
    private readonly _min;
    private readonly _max;
    constructor(min?: number, max?: number);
    create(): number;
}
declare class Double extends Randomizer {
    private readonly _min;
    private readonly _max;
    constructor(min?: number, max?: number);
    create(): number;
}
declare class String extends Randomizer {
    private readonly _length;
    private readonly _letters;
    constructor(length?: number, letters?: string);
    create(): string;
}
declare class Array2D extends Randomizer {
    private readonly _N;
    private readonly _M;
    private readonly _randomizer;
    private _sorted;
    constructor(N?: number, M?: number, randomizer?: Randomizer);
    sorted(sorted?: boolean): this;
    create(): any[][];
}
declare class Array1D extends Array2D {
    constructor(N?: number, randomizer?: Randomizer);
    create(): any[];
}
declare class Graph extends Randomizer {
    private readonly _N;
    private readonly _ratio;
    private _randomizer;
    private _directed;
    private _weighted;
    constructor(N?: number, ratio?: number, randomizer?: Randomizer);
    directed(directed?: boolean): this;
    weighted(weighted?: boolean): this;
    create(): any[][];
}
declare const _default: {
    Integer: typeof Integer;
    Double: typeof Double;
    String: typeof String;
    Array1D: typeof Array1D;
    Array2D: typeof Array2D;
    Graph: typeof Graph;
};
export default _default;
